# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/octave-cli makeinfo
# END SourceDeps(oneline)
%def_without _octave_arch
%def_with _octave_arch_install
%define octave_pkg_name statistics
Epoch: 1
Name: octave-%octave_pkg_name
Version: 1.4.3
Release: alt1
Summary: Additional statistics functions for Octave

Group: Sciences/Mathematics
License: GPL-3.0 and ALT-Public-Domain
URL: http://octave.sf.net

Source0: https://downloads.sourceforge.net/project/octave/Octave%%20Forge%%20Packages/Individual%%20Package%%20Releases/%{octave_pkg_name}-%{version}.tar.gz

BuildRequires: octave-devel
%if_with _octave_arch
BuildRequires: gcc-c++ gcc-g77 libfftw3-devel libhdf5-devel liblapack-devel libncurses-devel libreadline-devel
%else
BuildArch: noarch
%endif
Provides: octave(statistics) = %version
# Depends: octave (>= 4.0.0), io (>= 1.0.18)
Requires: octave >= 4.0.0 octave(io) >= 1.0.18


%description
Additional statistics functions for Octave.

%prep
%setup -q -n %{octave_pkg_name}-%{version}

%build
octave -q -H --no-window-system --no-site-file --eval "pkg build -verbose -nodeps . %SOURCE0"

%install
mkdir -p %buildroot%_datadir/octave/packages
mkdir -p %buildroot%_libdir/octave/packages
%if_with _octave_arch_install
octave -H --no-window-system --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -nodeps -verbose -local %octave_pkg_name-%version-$(octave -H --no-window-system --no-site-file --eval "printf([__octave_config_info__(\"canonical_host_type\"), \"-\",  __octave_config_info__(\"api_version\")])").tar.gz"
%else
octave -q -H --no-window-system --no-site-file --eval "pkg prefix %buildroot%_datadir/octave/packages %buildroot%_libdir/octave/packages; pkg install -nodeps -verbose -local %octave_pkg_name-%version-any-none.tar.gz"
%endif

%files
%doc COPYING README.crosscompilation DESCRIPTION NEWS
%_datadir/octave/packages/%octave_pkg_name-%version
%if_with _octave_arch
%_libdir/octave/packages/%octave_pkg_name-%version
%endif

%changelog
* Fri Apr 08 2022 Andrey Cherepanov <cas@altlinux.org> 1:1.4.3-alt1
- new version

* Mon Jan 18 2021 Andrey Cherepanov <cas@altlinux.org> 1:1.4.2-alt1
- New version.
- Fix License tag.

* Wed Feb 19 2020 Andrey Cherepanov <cas@altlinux.org> 1:1.4.1-alt1
- New version.

* Wed Mar 13 2019 Igor Vlasenko <viy@altlinux.ru> 1:1.4.0-alt1
- new version
- manually hacked - noarch pkg repacks with arch name

* Thu Apr 14 2016 Igor Vlasenko <viy@altlinux.ru> 1:1.2.4-alt1
- regenerated from template by package builder

* Tue Jul 07 2015 Paul Wolneykien <manowar@altlinux.org> 1:1.2.3-alt2
- Rebuild with the next version of Octave: 4.0.0

* Wed Jul 02 2014 Paul Wolneykien <manowar@altlinux.ru> 1:1.2.3-alt1
- updated by octave-package-builder

* Tue Jan 14 2014 Paul Wolneykien <manowar@altlinux.ru> 1:1.2.2-alt2
- Rebuild with the next version of Octave: 3.8.0

* Thu Oct 10 2013 Paul Wolneykien <manowar@altlinux.ru> 1:1.2.2-alt1
- updated by octave-package-builder

* Tue Jan 08 2013 Paul Wolneykien <manowar@altlinux.ru> 1:1.1.3-alt1
- updated by octave-package-builder

* Thu Nov 17 2011 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1
- initial import by octave-package-builder

